<template>
  <div class="flowing-text mx-auto">
    <h1>API</h1>
    <p>{{ $t('api.intro') }}</p>
    <i18n-t keypath="api.functions" tag="p" scope="global">
      <template #search>
        <span class="font-monospace">/api/search</span>
      </template>
      <template #journal>
        <span class="font-monospace">/api/journal/JOURNALID</span>
      </template>
    </i18n-t>
    <i18n-t keypath="api.swagger" tag="p" scope="global">
      <template #swaggerlink>
        <a href="/bison/api/schema/swagger">swagger</a>
      </template>
    </i18n-t>
    <h2>{{ $t('api.widget_title') }}</h2>
    <p>{{ $t('api.widget_intro') }}</p>
    <pre><code>
      &lt;div id=&quot;bison-widget&quot;&gt;&lt;/div&gt;
      &lt;script src=&quot;https://service.tib.eu/bison/widget/bison-widget.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;
    </code></pre>
    {{ $t('api.widget_or') }}:
    <pre><code>
      &lt;iframe src=&quot;https://service.tib.eu/bison/widget/bison_widget.html&quot; height=&quot;500&quot; width=&quot;500&quot; title=&quot;Open access journal recommendations via BISON service&quot;&gt;&lt;/iframe&gt;
    </code></pre>
    <p>{{ $t('api.widget_example') }}:</p>
    <div>
      <iframe src="https://service.tib.eu/bison/widget/bison_widget.html" height="500" width="500" title="Open access journal recommendations via BISON service"></iframe>
    </div>
  </div>
</template>

<script>
import RouterMetaMixin from '@/router/RouterMetaMixin.js'

export default {
  name: 'Api',
  title: 'api.title',
  mixins: [RouterMetaMixin]
}
</script>
<style scoped>
iframe {
  border: 1px solid grey;
}
</style>
